org.apache.ignite.internal.processors.cache.persistence.diagnostic.pagelocktracker

## Class PageLockDump

- java.lang.Object
- - org.apache.ignite.internal.processors.cache.persistence.diagnostic.pagelocktracker.PageLockDump

Direct Known Subclasses:
  PageLockLogSnapshot, PageLockStackSnapshot

    public abstract class PageLockDump
    extends Object

Base page lock tracker structures dump.

### Field Summary

Fields
`int` `headIdx` Head position.
`String` `name` Page lock log name.
`int` `nextOp` Next operation.
`long` `nextOpPageId` Next page id.
`int` `nextOpStructureId` Next data structure.
`long` `time` Dump creation time.

### Constructor Summary

Constructors
`protected` `PageLockDump(String name, long time, int headIdx, int nextOp, int nextOpStructureId, long nextOpPageId)`

### Method Summary

All Methods Instance Methods Concrete Methods
`String` `toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Field Detail

#### name

    public final String name

Page lock log name.

#### time

    public final long time

Dump creation time.

#### headIdx

    public final int headIdx

Head position.

#### nextOp

    public final int nextOp

Next operation.

#### nextOpStructureId

    public final int nextOpStructureId

Next data structure.

#### nextOpPageId

    public final long nextOpPageId

Next page id.

### Constructor Detail

#### PageLockDump

    protected PageLockDump(String name,
                           long time,
                           int headIdx,
                           int nextOp,
                           int nextOpStructureId,
                           long nextOpPageId)

### Method Detail

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`

${current.year} Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.16.0
Release Date | : December 15 2023